Package tigase.kernel.core

# Class DependencyManager

java.lang.Object
tigase.kernel.core.DependencyManager

public class DependencyManager extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final Logger`
  `log`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DependencyManager()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected BeanConfig`
  `createBeanConfig(Kernel kernel, String beanName, Class<?> beanClass)`
  `static Field[]`
  `getAllFields(Class<?> klass)`
  `BeanConfig`
  `getBeanConfig(String beanName)`
  `BeanConfig[]`
  `getBeanConfig(Dependency dependency)`
  `Collection<BeanConfig>`
  `getBeanConfigs()`
  `List<BeanConfig>`
  `getBeanConfigs(Class<?> type, Type genericType, Class<?> ownerClass)`
  `List<BeanConfig>`
  `getBeanConfigs(Class<?> type, Type genericType, Class<?> ownerClass, boolean allowNonExportable)`
  `Collection<Dependency>`
  `getDependenciesTo(BeanConfig destination)`
  `HashSet<BeanConfig>`
  `getDependentBeans(BeanConfig beanConfig)`
  `boolean`
  `isBeanClassRegistered(String beanName)`
  `boolean`
  `isThrowExceptionIfCannotCreate()`
  `static boolean`
  `match(Dependency dependency, BeanConfig beanConfig)`
  `protected void`
  `prepareDependencies(BeanConfig beanConfig)`
  `void`
  `setThrowExceptionIfCannotCreate(boolean throwExceptionIfCannotCreate)`
  `BeanConfig`
  `unregister(String beanName)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### log

    protected final Logger log

- ## Constructor Details

  - ### DependencyManager

    public DependencyManager()

- ## Method Details

  - ### getAllFields

    public static Field[] getAllFields(Class<?> klass)

  - ### match

    public static boolean match(Dependency dependency, BeanConfig beanConfig)

  - ### getBeanConfig

    public BeanConfig[] getBeanConfig(Dependency dependency)

  - ### getBeanConfig

    public BeanConfig getBeanConfig(String beanName)

  - ### getBeanConfigs

    public Collection<BeanConfig> getBeanConfigs()

  - ### getBeanConfigs

    public List<BeanConfig> getBeanConfigs(Class<?> type, Type genericType, Class<?> ownerClass)

  - ### getBeanConfigs

    public List<BeanConfig> getBeanConfigs(Class<?> type, Type genericType, Class<?> ownerClass, boolean allowNonExportable)

  - ### getDependenciesTo

    public Collection<Dependency> getDependenciesTo(BeanConfig destination)

  - ### getDependentBeans

    public HashSet<BeanConfig> getDependentBeans(BeanConfig beanConfig)

  - ### isBeanClassRegistered

    public boolean isBeanClassRegistered(String beanName)

  - ### isThrowExceptionIfCannotCreate

    public boolean isThrowExceptionIfCannotCreate()

  - ### setThrowExceptionIfCannotCreate

    public void setThrowExceptionIfCannotCreate(boolean throwExceptionIfCannotCreate)

  - ### unregister

    public BeanConfig unregister(String beanName)

  - ### createBeanConfig

    protected BeanConfig createBeanConfig(Kernel kernel, String beanName, Class<?> beanClass)

  - ### prepareDependencies

    protected void prepareDependencies(BeanConfig beanConfig)